#include "Adafruit_VL53L0X.h"
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// Set the LCD address to 0x27 or 0x3f for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 20, 4);

Adafruit_VL53L0X lox = Adafruit_VL53L0X();

void setup() {
  lcd.init();
  lcd.backlight();
  Serial.begin(9600);

  // wait until serial port opens for native USB devices
  while (! Serial) {
    delay(1);
  }
  
  Serial.println("Adafruit VL53L0X test");
  if (!lox.begin()) {
    Serial.println(F("Failed to boot VL53L0X"));
    while(1);
  }
  // power 
  Serial.println(F("VL53L0X API Simple Ranging example\n\n")); 
}


void loop() {
  VL53L0X_RangingMeasurementData_t measure;
    
  Serial.print("Reading a measurement... ");
  lox.rangingTest(&measure, false); // pass in 'true' to get debug data printout!

  if (measure.RangeStatus != 4) {  // phase failures have incorrect data
    Serial.print("Distance (mm): "); 
    Serial.println(measure.RangeMilliMeter);
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print(" DISTANCE in mm ");
    lcd.setCursor(0,1);
    lcd.print(measure.RangeMilliMeter);
  } else {
    Serial.println(" out of range ");
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print(" DISTANCE in mm ");
    lcd.setCursor(0,1);
    lcd.print("  OUT OF RANGE  ");
  }

  
  delay(100);  
}
